<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Driver Groups</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal" (ngSubmit)="addDriverGroups()">

          <div class="form-group">
            <label class="col-sm-2 control-label">Name <i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "15" placeholder = "Name" formControlName="name" class="form-control">
              <div class="error-msg" *ngIf="saveForm.controls['name'].invalid && (saveForm.controls['name'].dirty || saveForm.controls['name'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['name'].errors.required">
                  Name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Contact name <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "15" placeholder = "Contact name"  formControlName="contact_name" class="form-control">
              <div class="error-msg" *ngIf="saveForm.controls['contact_name'].invalid && (saveForm.controls['contact_name'].dirty || saveForm.controls['contact_name'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['contact_name'].errors.required">
                  Contact name is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Contact surname <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "10" placeholder = " Contact surname"  formControlName="contact_surname" class="form-control">
              <div class="error-msg" *ngIf="saveForm.controls['contact_surname'].invalid && (saveForm.controls['contact_surname'].dirty || saveForm.controls['contact_surname'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['contact_surname'].errors.required">
                  Contact surname is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Street   <i aria-hidden="true" class="mandatory">*</i></label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "20" placeholder = "Street" formControlName="street" class="form-control">
              <div class="error-msg" *ngIf="saveForm.controls['street'].invalid && (saveForm.controls['street'].dirty || saveForm.controls['street'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['street'].errors.required">
                  Street is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">House number <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" maxlength = "7" pattern="[0-9]+([.][0-9]+)?" placeholder = "House number" formControlName="house_number" class="form-control">
              <div class="error-msg" *ngIf="saveForm.controls['house_number'].invalid && (saveForm.controls['house_number'].dirty || saveForm.controls['house_number'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['house_number'].errors.required">
                  House number is required.
                </div>
                <div *ngIf="saveForm.controls['house_number'].errors.pattern" >
                    Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">City <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder = "City" formControlName="city">
                <mat-option value="Dubai">Dubai</mat-option>
                <mat-option value="Abu dhabi">Abu dhabi</mat-option>
                <mat-option value="Sharjah">Sharjah</mat-option>
                <mat-option value="Ajman">Ajman</mat-option>
                <mat-option value="Ras al khaimah">Ras al khaimah</mat-option>
              </mat-select>
              <div class="error-msg" *ngIf="saveForm.controls['city'].invalid && (saveForm.controls['city'].dirty || saveForm.controls['city'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['city'].errors.required" >
                  City is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/driver-groups']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>